org.apache.sysds.runtime.compress.cost

## Class CostEstimatorBuilder

- java.lang.Object
- - org.apache.sysds.runtime.compress.cost.CostEstimatorBuilder

All Implemented Interfaces:
  Serializable

    public final class CostEstimatorBuilder
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CostEstimatorBuilder(WTreeRoot root)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InstructionTypeCounter` `getCounter()`
`boolean` `shouldTryToCompress()`
`boolean` `shouldUseOverlap()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CostEstimatorBuilder

    public CostEstimatorBuilder(WTreeRoot root)

### Method Detail

#### getCounter

    public InstructionTypeCounter getCounter()

#### shouldTryToCompress

    public boolean shouldTryToCompress()

#### shouldUseOverlap

    public boolean shouldUseOverlap()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`